View Issue Details

IDProjectCategoryView StatusLast Update
0003727SketcherBugpublic2018-12-17 18:48
ReporterGauthierAssigned Toabdullah 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux + WindowsOSDebianOS VersionSID
Product Version0.18 
Target Version0.18Fixed in Version0.18 
Summary0003727: Auto constraints preference dialog doesn't work
DescriptionWhen creating a new sketch, the (global) setting from Auto constraints preferences is not respected.
Steps To Reproduce1) start FreCAD,
2) Select Sketcher workbench,
3) Go to "Edit/Preferences",
4) Click on Sketcher icon,
5) Uncheck the "Auto constraints" option,
6) Valid and close the Preference dialog,
7) Create a new sketch,
=> The "Auto constraints" option stay checked :(

I have the same FreeCAD 0.18 behavior on Linux or on Windows.
Additional InformationForum thread for this ticket : https://forum.freecadweb.org/viewtopic.php?f=3&t=32761
TagsNo tags attached.

Activities

Kunda1

2018-12-14 11:22

manager   ~0012272

Punting to abdullah for further examination.

abdullah

2018-12-17 15:47

manager   ~0012293

PR:
https://github.com/FreeCAD/FreeCAD/pull/1850

wmayer

2018-12-17 18:48

administrator   ~0012295

https://github.com/FreeCAD/FreeCAD/commit/c43adafb127f1238bedcb0d2033be3e9e8f7494e

Issue History

Date Modified Username Field Change
2018-12-13 14:34 Gauthier New Issue
2018-12-14 11:21 Kunda1 Assigned To => abdullah
2018-12-14 11:21 Kunda1 Status new => assigned
2018-12-14 11:22 Kunda1 Note Added: 0012272
2018-12-17 15:47 abdullah Note Added: 0012293
2018-12-17 15:49 abdullah Target Version => 0.18
2018-12-17 18:48 wmayer Status assigned => closed
2018-12-17 18:48 wmayer Resolution open => fixed
2018-12-17 18:48 wmayer Fixed in Version => 0.18
2018-12-17 18:48 wmayer Note Added: 0012295